package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 中国行政规划对象 china_area
 * 
 * @author boman
 * @date 2023-03-28
 */
public class ChinaArea extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 区域主键 */
    private String areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String name;

    /** 区域上级标识 */
    @Excel(name = "区域上级标识")
    private String pid;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setPid(String pid) 
    {
        this.pid = pid;
    }

    public String getPid() 
    {
        return pid;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("areaId", getAreaId())
            .append("name", getName())
            .append("pid", getPid())
            .append("sort", getSort())
            .toString();
    }
}
